<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="activity"
            type="com.seven.iznajmiromobil.view.scooters.ScooterPhotosActivity" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:padding="8dp"
        android:orientation="vertical">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycler_view"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:orientation="vertical"
            app:layoutManager="androidx.recyclerview.widget.StaggeredGridLayoutManager"
            app:spanCount="2" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:layout_marginTop="8dp"
            android:padding="4dp">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:text="@string/add_photo"
                android:textSize="24sp"
                android:textAlignment="center"
                android:background="@drawable/background_button"
                android:layout_margin="8dp"
                android:onClick="@{() -> activity.add()}"
                android:padding="4dp"
                android:layout_weight="1"/>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:padding="4dp">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:text="@string/finish_editing"
                android:textSize="24sp"
                android:textAlignment="center"
                android:background="@drawable/background_button"
                android:layout_margin="8dp"
                android:onClick="@{() -> activity.finishEditing()}"
                android:padding="4dp"
                android:layout_weight="1"/>

        </LinearLayout>

    </LinearLayout>

</layout>